
const UserModel = require("../models/User");

const getAllUsers = async (req, res) => {
    try {
        const users = await UserModel.findAll();

        // Customize the user data as needed
        const userArray = users.map(user => ({
            id: user.id,
            firstName: user.firstName,
            lastName: user.lastName,
            userName: user.userName,
            email: user.email,
            mobileNumber: user.mobileNumber,
            image:user.image,
            // type: user.userType,
        }));

        res.status(200).json(userArray);

    } catch (error) {
        res.status(500).json({ error: error.message });
    }
}

module.exports = {
    getAllUsers,
}