const jwt = require('jsonwebtoken');

function verifyToken(req, res, next) {
    const token = req.header('Authorization');
    const jwtkey = process.env.JWT_SECRET_KEY;

    if (!token) return res.status(401).json({ error: 'Access denied' });
    try {
        const decoded = jwt.verify(token, jwtkey);
        req.userId = decoded.id;
        req.username = decoded.username;
        req.name = decoded.name;
        req.email = decoded.email;
        req.role = decoded.role;
        if (decoded.role !== 1) {
            return res.status(401).json({ error: 'Access denied' });
        }
        next();
    } catch (error) {
        res.status(401).json({ error:error.message });
    }
};

module.exports = verifyToken;