const UserModel = require("../models/User");

async function verifyToken(req, res, next) {
    const token = req.header('Authorization');
    const currentDate = new Date();
    if (!token) return res.status(401).json({ error: 'Access denied' });

    try {
        const user = await UserModel.findOne({ where: { apiToken:token } });
        if (!user) {
            return res.status(401).json({ error: "Invalid token" });
        }
        if (user.role!=2) {
            return res.status(401).json({ error: "Access denied" });
        }

        const expiryDate = new Date(user.subscriptionExpiryDate);
        const isSubscribed = expiryDate >= currentDate;

        if (user.subscriptionExpiryDate==null || !isSubscribed) {
            return res.status(401).json({ error: "Your plan is expired, purchase new plane and try again"});
        }
        
        req.user = user;
        next();
    } catch (error) {
        res.status(401).json({ error:error.message });
    }
};

module.exports = verifyToken;