const Sequelize = require('sequelize')
const db = require('../connection.js');
const Message = require('./Message.js');
const User = require('./User.js');

const Group = db.sequelize.define(
    'groups',
    {
        id: {
            type: Sequelize.INTEGER,
            primaryKey: true,
            autoIncrement: true
        },
        name: {
            type: Sequelize.STRING
        },
        user_id: {
            type: Sequelize.INTEGER
        },
        description: {
            type: Sequelize.STRING,
            allowNull: true,
        },
        image: {
            type: Sequelize.STRING,
            allowNull: true,
        }
    },
    {
        timestamps: true
    }
)
Group.associate = function(models) {
    Group.belongsToMany(User, { through: 'group_members', foreignKey: 'group_id' });
  };
// Group.belongsToMany(User, { through: 'group_members', foreignKey: 'group_id' });
Group.hasOne(Message, { as: 'lastMessage', foreignKey: 'group_id', order: [['timestamps', 'DESC']]}); 

module.exports = Group;