const Sequelize = require('sequelize')
const db = require('../connection.js');
const User = require('./User.js');

const GroupMember = db.sequelize.define(
    'group_members',
    {
        id: {
            type: Sequelize.INTEGER,
            primaryKey: true,
            autoIncrement: true
        },
        group_id: {
            type: Sequelize.INTEGER
        },
        user_id: {
            type: Sequelize.INTEGER,
        },
        role: {
            type: Sequelize.STRING,
        },
        createdAt: {
            type: Sequelize.DATE,
            allowNull: false,
        },
    },
    {
        timestamps: true
    }
)

GroupMember.belongsTo(User, {foreignKey: 'user_id'})

module.exports = GroupMember;