const Sequelize = require('sequelize')
const db = require('../connection.js');
const User = require('./User.js');
// const MessageRecipient = require('./MessageRecipient.js');

const Message = db.sequelize.define(
    'messages',
    {
        id: {
            type: Sequelize.INTEGER,
            primaryKey: true,
            autoIncrement: true
        },
        fromUserId: {
            type: Sequelize.INTEGER
        },
        toUserId: {
            type: Sequelize.INTEGER
        },
        text: {
            type: Sequelize.STRING
        },
        file_url: {
            type: Sequelize.STRING,
            default: ''
        },
        file_name: {
            type: Sequelize.STRING,
            default: ''
        },
        file_type: {
            type: Sequelize.STRING,
            default: ''
        },
        file_size: {
            type: Sequelize.STRING,
            default: ''
        },
        deliveredAt: {
            type: Sequelize.DATE,
            allowNull: true,
        },
        readAt: {
            type: Sequelize.DATE,
            allowNull: true,
        },
        type: {
            type: Sequelize.STRING,
        },
        replay_message_id:
        {
            type: Sequelize.INTEGER,
        },
        createdAt: {
            type: Sequelize.DATE,
            allowNull: false,
        },
        deleted_for_sender:{
            type: Sequelize.INTEGER,
            allowNull: true,
        },
        deleted_for_recipient:{
            type: Sequelize.INTEGER,
            allowNull: true,
        },

        isDeletedForEveryOne:{
            type: Sequelize.INTEGER
        },
        timestamps: {
            type: Sequelize.INTEGER,
            defaultValue: () => new Date().getTime(),
            allowNull: false,
        },
        updatedAt:{
            type: Sequelize.DATE,
        },
        status: {
            type: Sequelize.STRING
        },
        sentFrom: {
            type: Sequelize.STRING
        },
    },
    {
        timestamps: true
    }
)
Message.belongsTo(User, {foreignKey: 'fromUserId'})
Message.belongsTo(Message, {foreignKey: 'replay_message_id'})
// Message.belongsTo(MessageRecipient, {foreignKey: 'message_id'})

module.exports = Message;