const Sequelize = require('sequelize')
const db = require('../connection.js')
const UserModel = require("./User.js");
const Message = require('./Message.js');

const MessageRecipient = db.sequelize.define(
    'message_recipients',
    {
        id: {
            type: Sequelize.INTEGER,
            primaryKey: true,
            autoIncrement: true
        },
        user_id: {
            type: Sequelize.INTEGER
        },
        message_id: {
            type: Sequelize.INTEGER
        },
        group_id: {
            type: Sequelize.INTEGER
        },
        delivered_at: {
            type: Sequelize.DATE,
        },
        status: {
            type: Sequelize.STRING
        },
        read_at:{
            type: Sequelize.DATE,
        }
    } , {
        timestamps: false
    }
)
MessageRecipient.belongsTo(UserModel, { as: 'user', foreignKey: 'user_id'}); 
MessageRecipient.belongsTo(Message, { as: 'message', foreignKey: 'message_id'}); 
module.exports = MessageRecipient;