const Sequelize = require('sequelize')
const db = require('../connection.js')
const UserModel = require("./User");

const MessageRestoreRequest = db.sequelize.define(
    'message_restore_requests',
    {
        id: {
            type: Sequelize.INTEGER,
            primaryKey: true,
            autoIncrement: true
        },
        user_id: {
            type: Sequelize.INTEGER
        },
        chat_user_id: {
            type: Sequelize.INTEGER
        },
        start_date: {
            type: Sequelize.STRING
        },
        end_date: {
            type: Sequelize.STRING,
        },
        status: {
            type: Sequelize.STRING,
        },
        createdAt: {
            type: Sequelize.DATE,
            allowNull: false,
        },
        updatedAt:{
            type: Sequelize.DATE,
        }
    },
    {
        timestamps: true
    }
)
MessageRestoreRequest.belongsTo(UserModel, { as: 'fromUsers', foreignKey: 'user_id'}); 
MessageRestoreRequest.belongsTo(UserModel, { as: 'toUsers', foreignKey: 'chat_user_id'}); 
module.exports = MessageRestoreRequest;