const Sequelize = require('sequelize')
const db = require('../connection.js')

const User = db.sequelize.define(
  'users',
  {
    id: {
      type: Sequelize.INTEGER,
      primaryKey: true,
      autoIncrement: true
    },
    firstName: {
      type: Sequelize.STRING
    },
    lastName: {
      type: Sequelize.STRING
    },
    username: {
      type: Sequelize.STRING
    },
    email: {
      type: Sequelize.STRING
    },
    mobileNumber:{
      type: Sequelize.STRING
    },
    password: {
      type: Sequelize.STRING
    },
    subscriptionExpiryDate: {
      type: Sequelize.STRING,
      allowNull: true      
    },
    refreshToken: {
      type: Sequelize.STRING
    },
    apiToken: {
      type: Sequelize.STRING
    },
    image:{
      type: Sequelize.STRING,
      defaultValue: "image",
      allowNull: true      
    },
    status: {
      type: Sequelize.INTEGER
    },
    role: {
      type: Sequelize.INTEGER
    },
  },
  {
    timestamps: true
  }
)

module.exports = User;