const express = require("express");
const router = express.Router();
const adminController = require("../controllers/adminController");
const verifyToken = require('../middleware/authMiddleware');
const adminVerifyToken = require('../middleware/authAdminMiddleware');

router.post('/add/company',adminVerifyToken, adminController.register);
router.post('/company/apiRequests',adminVerifyToken, adminController.getApiRequests);
router.get('/company/:id',adminVerifyToken, adminController.findCompany);
router.post('/company/:id',adminVerifyToken, adminController.updateProfile);


router.get('/users', adminVerifyToken,adminController.getAllUsers);
router.get('/companies', adminVerifyToken,adminController.getAllCompanies);

router.get('/userChatList/:userId', adminVerifyToken,adminController.getChatUserLists);

router.get('/chat/messages/:userId/:toId', adminVerifyToken,adminController.getMessages);
router.get('/chat/group/messages/:chatUserId', adminVerifyToken,adminController.getGroupMessages);

router.get('/chat/group/info/:groupId', adminVerifyToken,adminController.getGroupInfo);

router.post('/search', adminVerifyToken,adminController.searchUser);
router.post('/changeProfileImage/:userId', adminController.uploadProfileImage);
router.post('/deleteUserProfile/:userId',adminVerifyToken, adminController.deleteUserProfile);

router.get('/backup-restore-reqeusts', adminVerifyToken,adminController.getMessageRestoreRequests);
router.post('/chat/restore/:userId/:toId', adminVerifyToken,adminController.messageRestore);



module.exports = router;