const express = require('express');
const companyMessageController = require('../controllers/CompanyMessageController');
const adminController = require("../controllers/adminController");
const verifyToken = require('../middleware/authMiddleware');
const router = express.Router();
const companyAuth = require('../middleware/companyAuthMiddleware');

router.post('/send/message',companyAuth, companyMessageController.sendMessage);

router.post('/sendBroadcastMessage/:user', verifyToken,adminController.sendBroadcastMessage);

router.get('/settings', verifyToken,companyMessageController.getSettings);
router.post('/settings', verifyToken,companyMessageController.saveSettings);

router.post('/sendBroadcastMessage/:user', verifyToken,adminController.sendBroadcastMessage);


module.exports = router;