const express = require('express');
const router = express.Router();
const chatController = require('../controllers/chatController');
const verifyToken = require('../middleware/authMiddleware');
router.post("/", chatController.createChat);

router.get("/find/:firstId/:secondId", chatController.findChat);

router.get("/userLists",verifyToken ,chatController.getChatUserLists);

// router.get("/getAllChats", chatController.getAllChats);
router.get("/getAllChats", verifyToken,chatController.getAllChats);
router.delete('/deleteChat', chatController.deleteChat);
router.get('/getChatIdsByMemberId/:memberId', chatController.getChatIdsByMemberId);
router.post('/deleteChats', chatController.deleteChats);

router.get("/:userId",verifyToken ,chatController.findUserChat);
router.get("/all-data",verifyToken ,chatController.getAllData);

router.post('/createGroup', verifyToken,chatController.createGroup);
router.post('/updateGroup', verifyToken,chatController.updateGroup);

module.exports = router;