const express = require('express');
const messageController = require('../controllers/messageController');
const companyMessageController = require('../controllers/CompanyMessageController');
const router = express.Router();
const verifyToken = require('../middleware/authMiddleware');
const companyAuth = require('../middleware/companyAuthMiddleware');

router.post("/", verifyToken,messageController.createMessage);
router.get("/:chatId", verifyToken,messageController.getMessages);
router.post('/update-status/:toUserId',verifyToken, messageController.updateStatusMessages);
router.get('/media/:chatId/:type',verifyToken, messageController.getMediaMessages);

router.post('/update-status/:chatId/:senderId',verifyToken, messageController.updateStatusAllMessages);
router.post('/deleteMessage/:messageId',verifyToken, messageController.deleteMessage);
router.delete('/deleteMessageByChatId/:chatId', messageController.deleteMessageByChatId);
router.post('/deleteMessagesByChatIds', messageController.deleteMessagesByChatIds);
router.post('/updateMessageStatusByChatId/:chatId', messageController.updateMessageStatusByChatId);
router.post("/updateMessages", messageController.updateMessagesStatus);


router.post('/company/send/message',companyAuth, companyMessageController.sendMessage);



module.exports = router;