const express = require("express");
const router = express.Router();
const userController = require("../controllers/userController");
const verifyToken = require('../middleware/authMiddleware');

router.post('/register', userController.register);
router.post('/login', userController.login);
router.post('/generateToken', userController.generateToken);
router.get('/find/:id',verifyToken, userController.findUser);
router.get('/', verifyToken,userController.getAllUsers);
router.post('/search', verifyToken,userController.searchUser);
router.post('/changeProfileImage/:userId', userController.uploadProfileImage);
router.post('/editProfile/:userId',verifyToken, userController.editProfile);
router.delete('/deleteUserProfile/:userId',verifyToken, userController.deleteUserProfile);
router.post('/getOtp', userController.getOtp);
router.post('/verifyOtp', userController.verifyOtpAndRegister);
router.post('/forgotPassword', userController.forgotPassword);

router.post('/reset-password-token', userController.resetPasswordTokenValidate);
router.post('/reset-password', userController.resetPassword);

router.post('/message-restore-request', verifyToken, userController.messageRestoreRequest);

module.exports = router;